Bug 223 - wins host resolution broken in upgrade from beta1 to beta2
wins host resolution broken in upgrade from beta1 to beta2
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: nmbd
3.0.0preX
All Linux
: P2 regression
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-14 17:07 UTC by jay hancock
Modified: 2005-11-14 09:28 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jay hancock 2003-07-14 17:07:23 UTC
WINS name resolution worked when using beta1 on RH9.0 on two different intel
computers.  When upgrading to beta2, resolution no longer worked.  I reverted to
beta1 to restore resolution.  I use the exact same config files in beta1 and
beta2, and didn't read about any changes to relevant options.  

Here are the relevant pieces of config files:
[[nsswitch.conf]]:
...
hosts:      files dns wins
...

[[smb.conf]]:
[global]
     workgroup = FOO
     realm = FOO.BAR.COM
     security = ADS
     encrypt passwords = yes

     wins server = 166.2.70.66
     name resolve order = wins lmhosts

     idmap uid         = 40000-50000
     idmap gid         = 40000-50000

[public]
       path = /public
       guest ok = yes
       writeable = yes

[homes]
      guest ok = no
      read only = no

Let me know if I could provide more specific details.
Comment 1 Gerald (Jerry) Carter 2003-07-15 09:21:56 UTC
fixed post beta2 (in SAMBA_3_0 cvs tree).  The patch can be found at
http://samba.org/samba/ftp/patches/jerry/post-3.0.0beta2/



Comment 2 Gerald (Jerry) Carter 2005-02-07 08:40:41 UTC
originally reported against 3.0.0beta2.  CLeaning out 
non-production release versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:18:26 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:28:46 UTC
database cleanup